get
https://api.hrflow.ai/v1/profile/grading
This endpoint allows grading a Profile for a Job.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request headers
| Field | Value |
|---|---|
X-API-KEY | Your API Key. |
X-USER-EMAIL | Your HrFlow.ai account's email. |
Query Parameters
- The
keyand thereferencecan not be null at the same time in the Query Parameters.- Single profile processing is deprecated. Please use batch mode with the
profile_idsparameter.
ResponseThis endpoint returns a
dataobject containing four keys, with one entry per profile, in the order of the profiles:
- Profiles: array of objects Profile.
- Scores: array of arrays of floats [ 1-score, score ]. Example: [0.49184858798980713, 0.50815147161483765].
- Errors:
nullfor a graded profile, otherwise an object withcodeandmessage, and the profile's Scores entry isnull. The code isitem_not_foundwhen the profile can't be read.- Axis:
nullunlessreturn_axisistruewithgrader-hrflow-profiles-cosmic5orgrader-hrflow-profiles-titan5. Otherwise one object per profile with 8 keys (education, languages, skills, seniority, management, contract, role, domain), eachtrue(met),false(not met) ornull(the job doesn't ask).